%define upstream_name    Encode-EUCJPASCII
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28

Summary:	EucJP-ascii - An eucJP-open mapping
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Encode)
BuildRequires:	perl-devel

%{?perl_default_filter}


%description
This module provides eucJP-ascii, one of eucJP-open mappings, and its
derivative. Following encodings are supported.

  Canonical    Alias                           Description
  --------------------------------------------------------------
  eucJP-ascii                                  eucJP-ascii
               qr/\beuc-?jp(-?open)?(-?19970715)?-?ascii$/i
  x-iso2022jp-ascii                            7-bit counterpart
               qr/\b(x-)?iso-?2022-?jp-?ascii$/i
  --------------------------------------------------------------

*Note*: 'x-iso2022jp-ascii' is unofficial encoding name: It had never been
registered by any standards bodies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install DESTDIR=%{buildroot}

%files
%doc Changes README META.yml
%perl_vendorarch/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.30.0-28.mga10
+ Revision: 2089006
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.30.0-27.mga10
+ Revision: 2012050
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.30.0-26.mga9
+ Revision: 1862862
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.30.0-25.mga9
+ Revision: 1796240
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.30.0-24.mga9
+ Revision: 1727666
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.30.0-23.mga8
+ Revision: 1595645
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.30.0-22.mga8
+ Revision: 1529461
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.30.0-21.mga8
+ Revision: 1433572
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.30.0-20.mga7
+ Revision: 1292831
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.30.0-19.mga7
+ Revision: 1249334
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.30.0-18.mga7
+ Revision: 1164295
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.30.0-17.mga7
+ Revision: 1148877
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.30.0-16.mga7
+ Revision: 1126589
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-15.mga6
+ Revision: 1026918
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-14.mga6
+ Revision: 957265
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.30.0-13.mga6
+ Revision: 843676
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-12.mga5
+ Revision: 748214
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.30.0-11.mga5
+ Revision: 732088
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-10.mga5
+ Revision: 684635
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-9.mga5
+ Revision: 631134
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-8.mga4
+ Revision: 524578
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-7.mga4
+ Revision: 431188
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-6.mga3
+ Revision: 366873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-5.mga3
+ Revision: 250588
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.30.0-4.mga2
+ Revision: 104248
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-3.mga1
+ Revision: 31954
- mageia rebuild
- imported package perl-Encode-EUCJPASCII

